Snapchat Spotlight comments
Beta GET /v1/snapchat/spotlight/comments
GET /v1/snapchat/spotlight/comments
Public comments on a Spotlight video; parent is the video. Pass the cursor back for more.
- Cost: 1 credit
- Status: Beta. Built and tested against recorded responses; the shape may still gain fields.
- Cache: Results are kept up to 30 days; send
max_age_daysto reuse them for free. - Timeout: A request still running after about 25 seconds answers
202with a job to poll (Batch and jobs).
Parameters#
| Name | Type | Required | Description |
|---|---|---|---|
url | URL | yes | Spotlight URL (snapchat.com/@user/spotlight/...). Accepted hosts: snapchat.com. |
Every request also accepts:
cursor: the cursor from the previous page (Pagination).trim:truefor a smaller response withoutnullfields andextra.raw:trueto also get the platform's original object asraw.max_age_days: accept a cached result up to this many days old, for 0 credits (Caching).
Example request#
Set your key in the environment first (see Authentication).
curl
curl -G "https://api.socialscrape.io/v1/snapchat/spotlight/comments" \
-H "x-api-key: $SOCIALSCRAPE_API_KEY" \
--data-urlencode "url=https://www.snapchat.com/@jack.scalise/spotlight/W7_EDlXWTBiXAEEniNoMPwAAYb3djZ3FqY2VhAZXDhShdAZXDhPWfAAAAAQ"Python
import os
import requests
params = {
"url": "https://www.snapchat.com/@jack.scalise/spotlight/W7_EDlXWTBiXAEEniNoMPwAAYb3djZ3FqY2VhAZXDhShdAZXDhPWfAAAAAQ",
}
res = requests.get(
"https://api.socialscrape.io/v1/snapchat/spotlight/comments",
headers={"x-api-key": os.environ["SOCIALSCRAPE_API_KEY"]},
params=params,
)
body = res.json()
if body["ok"]:
print(body["data"])
else:
print(body["error"]["code"], body["error"]["message"])TypeScript
const url = new URL("https://api.socialscrape.io/v1/snapchat/spotlight/comments");
url.search = new URLSearchParams({
"url": "https://www.snapchat.com/@jack.scalise/spotlight/W7_EDlXWTBiXAEEniNoMPwAAYb3djZ3FqY2VhAZXDhShdAZXDhPWfAAAAAQ"
}).toString();
const res = await fetch(url, {
headers: { "x-api-key": process.env.SOCIALSCRAPE_API_KEY! },
});
const body = await res.json();
if (body.ok) {
console.log(body.data);
} else {
console.error(body.error.code, body.error.message);
}n8n
{
"nodes": [
{
"name": "SocialScrape Snapchat Spotlight comments",
"type": "n8n-nodes-base.httpRequest",
"typeVersion": 4.2,
"position": [
0,
0
],
"parameters": {
"method": "GET",
"url": "https://api.socialscrape.io/v1/snapchat/spotlight/comments",
"sendQuery": true,
"queryParameters": {
"parameters": [
{
"name": "url",
"value": "https://www.snapchat.com/@jack.scalise/spotlight/W7_EDlXWTBiXAEEniNoMPwAAYb3djZ3FqY2VhAZXDhShdAZXDhPWfAAAAAQ"
}
]
},
"sendHeaders": true,
"headerParameters": {
"parameters": [
{
"name": "x-api-key",
"value": "={{ $env.SOCIALSCRAPE_API_KEY }}"
}
]
}
}
}
],
"connections": {}
}Example response#
This is a sample from a recorded response, lists and long text are shortened, other people's names and handles are replaced. Status 200.
{
"ok": true,
"credits_charged": 1,
"credits_remaining": 4999,
"cached": false,
"cached_at": null,
"request_id": "req_9ec6358cdda9d594bd51990b",
"data": {
"object": "list",
"items": [
{
"object": "comment",
"platform": "snapchat",
"id": "3924390255570602638.11194971132114019804",
"url": null,
"post_id": "W7_EDlXWTBiXAEEniNoMPwAAYb3djZ3FqY2VhAZXDhShdAZXDhPWfAAAAAQ",
"parent_id": null,
"author": {
"id": "1000000001",
"handle": "sample_user",
"name": "Sample User",
"url": null,
"avatar_url": null,
"verified": false
},
"text": "My day was ok I guess",
"published_at": "2025-03-23T17:30:13.814000Z",
"stats": {
"likes": 83,
"replies": 12,
"dislikes": null
},
"is_pinned": null,
"is_by_creator": false,
"extra": {
"ranking_score": 1000,
"reactions": [
{
"count": 83,
"type_id": 1
}
]
}
},
{
"object": "comment",
"platform": "snapchat",
"id": "6355055691073406808.10809603457868774494",
"url": null,
"post_id": "W7_EDlXWTBiXAEEniNoMPwAAYb3djZ3FqY2VhAZXDhShdAZXDhPWfAAAAAQ",
"parent_id": null,
"author": {
"id": "1000000001",
"handle": "sample_user",
"name": "Sample User",
"url": null,
"avatar_url": null,
"verified": false
},
"text": "I sent this to him!",
"published_at": "2025-03-26T06:43:31.105000Z",
"stats": {
"likes": 1,
"replies": 8,
"dislikes": null
},
"is_pinned": null,
"is_by_creator": false,
"extra": {
"ranking_score": 980,
"reactions": [
{
"count": 1,
"type_id": 1
}
]
}
}
],
"cursor": "CAESVYzKiZYNyL-Q6AHFw4r2CdnDur0Mu77vrQm5-NL-COCurJMN2rTF8A61tIyUBJ7X-LgJ5NnZuw6Z9dTOBILtqvcLioOZow6nhL6fD-L25-AGpY7t7woagwISgAJDcjBCQ2cwS0FuUnpFZ2NJODZXTy03TXpFcWNCYWhkemZtUmxiSFJoTFdadmNtTmxMVzVoYlRVdGNISnZaSEtMQVFzU0VGTndiM1JzYVdkb2RGSmxj...",
"has_more": true,
"parent": {
"object": "post",
"platform": "snapchat",
"id": "W7_EDlXWTBiXAEEniNoMPwAAYb3djZ3FqY2VhAZXDhShdAZXDhPWfAAAAAQ",
"url": "https://www.snapchat.com/@jack.scalise/spotlight/W7_EDlXWTBiXAEEniNoMPwAAYb3djZ3FqY2VhAZXDhShdAZXDhPWfAAAAAQ",
"type": "video",
"author": {
"id": null,
"handle": "jack.scalise",
"name": null,
"url": "https://www.snapchat.com/@jack.scalise",
"avatar_url": null,
"verified": null
},
"title": null,
"text": null,
"published_at": null,
"duration_seconds": null,
"language": null,
"hashtags": null,
"mentions": null,
"stats": {
"views": null,
"likes": null,
"comments": null,
"shares": null,
"saves": null,
"dislikes": null
},
"media": {
"thumbnail_url": null,
"video_url": null,
"audio_url": null,
"image_urls": null,
"width": null,
"height": null
},
"song": null,
"location": null,
"is_pinned": null,
"is_sponsored": null,
"extra": null
}
},
"cursor": "CAESVYzKiZYNyL-Q6AHFw4r2CdnDur0Mu77vrQm5-NL-COCurJMN2rTF8A61tIyUBJ7X-LgJ5NnZuw6Z9dTOBILtqvcLioOZow6nhL6fD-L25-AGpY7t7woagwISgAJDcjBCQ2cwS0FuUnpFZ2NJODZXTy03TXpFcWNCYWhkemZtUmxiSFJoTFdadmNtTmxMVzVoYlRVdGNISnZaSEtMQVFzU0VGTndiM1JzYVdkb2RGSmxj...",
"has_more": true
}Response#
A list of Comment objects in data.items, with data.cursor and data.has_more.
See Data models for every field. The envelope around data is described in Responses.
Errors#
Failures are free: credits_charged is 0. Branch on error.code, never on the message.
| Code | HTTP | Retry | Meaning |
|---|---|---|---|
invalid_params | 400 | no | A parameter is missing, unknown or has the wrong type. |
unsupported_url | 400 | no | The URL is not one this endpoint accepts (wrong platform or form). |
not_found | 404 | no | The platform says this profile, post or item does not exist. |
Every request can also fail with the account and platform errors listed on the Errors page.
Example error:
{
"ok": false,
"error": {
"code": "not_found",
"message": "The platform says this profile, post or item does not exist.",
"retryable": false
},
"credits_charged": 0,
"request_id": "req_9e7a29a6c1316fcf9243013a"
}Related endpoints#
- Snapchat public profile (
GET /v1/snapchat/profile) - Snapchat Spotlight video (
GET /v1/snapchat/spotlight)